﻿using System;
using System.Net.Http;
using System.Net.Http.Headers;

namespace Bitlog.Api
{
    public class SecureHttpClient :HttpClient
    {
        public SecureHttpClient(string token)
        {
            if (string.IsNullOrEmpty(token))
                throw new InvalidOperationException("Security token is not defined");

            DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Bearer", token);
        }
    }
}
